### Interface

# CloudProviders DbusProvider

#### Description [src]

    interface CloudProviders.DbusProvider : GObject.Object

Abstract interface type for the D-Bus interface org.freedesktop.CloudProviders.Provider.

#### Prerequisite

In order to implement DbusProvider, your type must inherit from`GObject`.

#### Implementations

- CloudProvidersDbusProviderProxy
- CloudProvidersDbusProviderSkeleton

#### Functions

###### cloud_providers_dbus_provider_interface_info

Gets a machine-readable description of the org.freedesktop.CloudProviders.Provider D-Bus interface.

###### cloud_providers_dbus_provider_override_properties

Overrides all `GObject` properties in the `CloudProvidersDbusProvider` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### cloud_providers_dbus_provider_dup_name

Gets a copy of the “Name” D-Bus property.

###### cloud_providers_dbus_provider_get_name

Gets the value of the “Name” D-Bus property.

###### cloud_providers_dbus_provider_set_name

Sets the “Name” D-Bus property to `value`.

#### Properties

###### CloudProviders.DbusProvider:name

Represents the D-Bus property “Name”.

#### Interface structure

    struct CloudProvidersDbusProviderIface {
      GTypeInterface parent_iface;
      const gchar* (* get_name) (
        CloudProvidersDbusProvider* object
      );

    }

Virtual table for the D-Bus interface org.freedesktop.CloudProviders.Provider.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`get_name`

    const gchar* (* get_name) (
        CloudProvidersDbusProvider* object
      )

| Getter for the `CloudProvidersDbusProvider:name` property.

#### Virtual methods

###### CloudProviders.DbusProvider.get_name

Gets the value of the “Name” D-Bus property.